org.apache.solr.analytics.request

## Class AnalyticsRequest

- java.lang.Object
- - org.apache.solr.analytics.request.AnalyticsRequest

-     public class AnalyticsRequest
      extends Object

  Contains the specifications of an Analytics Request, specifically a name, a list of Expressions, a list of field facets, a list of range facets, a list of query facets and the list of expressions and their results calculated in previous AnalyticsRequests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsRequest(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpression(ExpressionRequest expressionRequest)`
    `void` | `addHiddenExpression(ExpressionRequest expressionRequest)`
    `List<ExpressionRequest>` | `getExpressions()`
    `List<FieldFacetRequest>` | `getFieldFacets()`
    `Set<String>` | `getHiddenExpressions()`
    `String` | `getName()`
    `List<QueryFacetRequest>` | `getQueryFacets()`
    `List<RangeFacetRequest>` | `getRangeFacets()`
    `void` | `setExpressions(List<ExpressionRequest> expressions)`
    `void` | `setFieldFacets(List<FieldFacetRequest> fieldFacets)`
    `void` | `setQueryFacets(List<QueryFacetRequest> queryFacets)`
    `void` | `setRangeFacets(List<RangeFacetRequest> rangeFacets)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyticsRequest

          public AnalyticsRequest(String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setExpressions

          public void setExpressions(List<ExpressionRequest> expressions)

    - #### addExpression

          public void addExpression(ExpressionRequest expressionRequest)

    - #### getExpressions

          public List<ExpressionRequest> getExpressions()

    - #### addHiddenExpression

          public void addHiddenExpression(ExpressionRequest expressionRequest)

    - #### getHiddenExpressions

          public Set<String> getHiddenExpressions()

    - #### setFieldFacets

          public void setFieldFacets(List<FieldFacetRequest> fieldFacets)

    - #### getFieldFacets

          public List<FieldFacetRequest> getFieldFacets()

    - #### setRangeFacets

          public void setRangeFacets(List<RangeFacetRequest> rangeFacets)

    - #### getRangeFacets

          public List<RangeFacetRequest> getRangeFacets()

    - #### setQueryFacets

          public void setQueryFacets(List<QueryFacetRequest> queryFacets)

    - #### getQueryFacets

          public List<QueryFacetRequest> getQueryFacets()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.